﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using Infragistics.Documents.Excel;

namespace InfragisticsExcelExport
{
    class Program
    {
        static void Main(string[] args)
        {
            // I need to load the file from a byte array as it is actually stored in the database
            byte[] excelfileData = File.ReadAllBytes("BankOrder.xlsx");
            MemoryStream stream = new MemoryStream(excelfileData);


            Workbook wkb = Workbook.Load(stream);
            Worksheet wks = wkb.Worksheets["Orders"];


            if( wks != null )
            {
                int rowIndex = 0;
                foreach (WorksheetRow row in wks.Rows)
                {
                    rowIndex++;
                    if (rowIndex == 1) continue; // Skip table header

                    if( row.Cells[0].Value == null || string.IsNullOrEmpty(row.Cells[0].Value.ToString()))
                        continue;

                    double result = (double)rowIndex*0.36;
                    row.Cells[7].Value = result;
                }
            }

            FileStream fs = File.Open("result.xlsx", FileMode.Create, FileAccess.ReadWrite, FileShare.ReadWrite);
            wkb.Save(fs);
            fs.Close();
        }
    }
}
